// priority: 0

console.info('Hello, World! (You will see this line every time client resources reload)')


	const certusemendatus = [
		`gem`,
		`dust`,
		`chunk`,
		`cluster`,
		`clump`,
		`crystal`,
		`dirty_dust`,
		`shard`,
		`crushed`,
		`fragment`,
		`gravel`,
	];
	const minerio = [
		`coal`,
		`iron`,
		`gold`,
		`diamond`,
		`emerald`,
		`lapis`,
		`redstone`,
		`quartz`,
		`copper`,
		`aluminum`,
		`silver`,
		`lead`,
		`nickel`,
		`uranium`,
		`osmium`,
		`tin`,
		`zinc`,
		`cobalt`,
		`iridium`,
		`certus_quartz`,
		`charged_certus_quartz`,
		`fluorite`,
		`bitumen`,
		`cinnabar`,
		`apatite`,
		`sulfur`,
		`potassium_nitrate`,
		`arcane`,
		`dimensional`,
		`ruby`,
		`sapphire`,
		`peridot`,
	];
	
	const pedra = [
		`andesite`,
		`granite`,
		`diorite`,
		`sand`,
		`gravel`,
		`netherrack`,
		`blackstone`,
		`basalt`,
		`soul_soil`,
		`end_stone`,
		`gabbro`,
		`c_limestone`,
		`scoria`,
		`weathered_limestone`,
		`jasper`,
		`marble`,
		`slate`,
		`deepslate`,
		`mossy_stone`,
		`brimstone`,
		`subzero_ash`,
		`blue_netherrack`,
		`nylium_soul_soil`,
		`ether_stone`,
		`cryptic_stone`,
		`flavolite`,
		`sulphuric_rock`,
		`violecite`,
		`raw_marble`,
	];

	onEvent('jei.hide.items', event => {
		// Hide items in JEI here
		// event.hide('minecraft:cobblestone')
		for(let pos in certusemendatus){
			event.hide(`emendatusenigmatica:certus_quartz_${certusemendatus[pos]}`)
			event.hide(`emendatusenigmatica:charged_certus_quartz_${certusemendatus[pos]}`)
		}
	
		for (let pos1 in minerio){
			for(let pos2 in pedra){
				event.hide(`emendatusenigmatica:${minerio[pos1]}_${pedra[pos2]}_ore`)
			}
		}
	});

	
	onEvent('jei.hide.items', event => {
		// Hide items in JEI here
		// event.hide('minecraft:cobblestone')
		for(let pos in certusemendatus){
			event.hide(`emendatusenigmatica:certus_quartz_${certusemendatus[pos]}`)
			event.hide(`emendatusenigmatica:charged_certus_quartz_${certusemendatus[pos]}`)
		}
	
		for (let pos1 in minerio){
			for(let pos2 in pedra){
				event.hide(`emendatusenigmatica:${minerio[pos1]}_${pedra[pos2]}_ore`)
			}
		}
		const items = [
			'mob_grinding_utils:gm_chicken_feed',
			'mob_grinding_utils:mob_swab_used',
			'mob_grinding_utils:mob_swab'
		]
		for(let por in items){
			event.hide(`${items[por]}`)}
			event.hide(('appliedenergistics2:facade'))

			for(let p in bm){
				for(let p1 in upgrade){
					event.hide({output: `mekanism:${upgrade[p1]}_${bm[p]}_factory`})
				}
			}

	});